Name: lirc
Version: 0.7.0
Release: alt4

Summary: The Linux Infrared Remote Control package
License: GPL
Group: System/Base
URL: http://www.lirc.org

# Automatically added by buildreq on Fri Sep 19 2003
BuildRequires: XFree86-devel-static XFree86-libs help2man bash man

Source: %name-%version.tar.bz2
Source1: lircd
Source2: Rules.make
Source3: pathdown.sh
Patch: %name-0.6.4-alt-configure.patch
Patch1: %name-0.7.0-i2c_fixes.patch

%description
LIRC is a package that allows you to decode and send infra-red signals
of many (but not all) commonly used remote controls.

%package -n liblirc
Summary: Client library for LIRC
Group: System/Libraries

%description -n liblirc
Libraries needed by programs, which uses LIRC

%package -n kernel-source-%name
Summary: Linux LIRC module sources
Group: Development/Kernel

%description -n kernel-source-%name
Linux LIRC module sources.

%package -n liblirc-devel
Summary: Development for LIRC
Group: Development/C
Requires: lib%name = %version-%release

%description -n liblirc-devel
Development library for LIRC

%package -n liblirc-devel-static
Summary: Development for LIRC
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n liblirc-devel-static
Static library for LIRC

%prep
%setup -q
%patch -p1
%patch1 -p0

%build
./autogen.sh
%configure --localstatedir=/var --with-x --with-major=61 \
	    --with-syslog --with-driver=any --with-port=0x3f8 --with-irq=4
NPROCS=1
%make_build

%install
%makeinstall devdir=$RPM_BUILD_ROOT/dev
%__mkdir_p $RPM_BUILD_ROOT%_initdir
%__mkdir_p $RPM_BUILD_ROOT/dev
%__install -p -m600 contrib/lircd.conf contrib/lircmd.conf $RPM_BUILD_ROOT%_sysconfdir
%__install -m755 %SOURCE1 $RPM_BUILD_ROOT%_initdir
%__chmod +x $RPM_BUILD_ROOT%_initdir/lircd
touch $RPM_BUILD_ROOT/dev/lirc
%makeinstall -C $RPM_BUILD_DIR/%name-%version/doc/man
find $RPM_BUILD_ROOT -name CVS | xargs rm -rf

t=`pwd`/kernel-source-%name-%version
rm -rf $t
%__mkdir_p $t/drivers/scripts
%__mkdir_p $RPM_BUILD_ROOT%_usrsrc/kernel/sources
%__cp config.h $t/
%__cp drivers/*.h $t/drivers/
%__cp %SOURCE2 $t/drivers/
%__cp %SOURCE3 $t/drivers/scripts/

pushd drivers
for f in `ls | grep lirc_`; do
    if [ -f $f/*.c ]; then
	    %__mkdir_p $t/drivers/$f
	    %__cp -a $f/*.c $f/*.h $t/drivers/$f/ ||:

%__cat <<__MKF__>$t/drivers/$f/Makefile
module_DATA = $f.o
EXTRA_CFLAGS = -DIRCTL_DEV_MAJOR=61 -DEXPORT_SYMTAB -DHAVE_CONFIG_H -I../ -I../../ -I\$(HEADERS) -D__KERNEL__ -DMODULE

\$(module_DATA):

include ../Rules.make
__MKF__

    fi
done
popd

%__tar cfj \
        $RPM_BUILD_ROOT%_usrsrc/kernel/sources/kernel-source-%name-%version.tar.bz2 \
        kernel-source-%name-%version

%pre
/usr/sbin/groupadd -r -f %name &> /dev/null

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%files
%config(noreplace) %_sysconfdir/*.conf
%_initdir/*
%_bindir/[^smode2]*
%attr(2711,root,%name) %_sbindir/lircd
%_sbindir/lircmd
%doc NEWS TODO remotes doc/lirc.css doc/irxevent.keys doc/html doc/images
%_mandir/man1/*
%_mandir/man8/*

%files -n kernel-source-%name
%_usrsrc/*/*/*

%files -n liblirc
%_libdir/liblirc_client.so.*

%files -n liblirc-devel
%_libdir/liblirc_client.so
%_includedir/*

%files -n liblirc-devel-static
%_libdir/liblirc_client.a

%changelog
* Thu Nov 27 2003 Kachalov Anton <mouse@altlinux.ru> 0.7.0-alt4
- removed .la file

* Fri Oct 17 2003 Kachalov Anton <mouse@altlinux.ru> 0.7.0-alt3
- fix in start up script (--lock-file option replace with --lockfile, #3177)

* Tue Sep 23 2003 Kachalov Anton <mouse@altlinux.ru> 0.7.0-alt2
- kernel source makefile fix

* Fri Sep 19 2003 Kachalov Anton <mouse@altlinux.ru> 0.7.0-alt1
- new version 0.7.0 (from CVS)
- building kernel-source package

* Tue Oct 29 2002 Kachalov Anton <mouse@altlinux.ru> 0.6.6-alt1
- new version 0.6.6

* Mon Oct 28 2002 Kachalov Anton <mouse@altlinux.ru> 0.6.5-alt2
- remove smode2 from the package

* Tue Feb 26 2002 Kachalov Anton <mouse@altlinux.ru> alt1
- new version (0.6.5) build

* Mon Jan 21 2002 Kachalov Anton <mouse@altlinux.ru> alt3
- syncing with new dev package

* Fri Jan 11 2002 Kachalov Anton <mouse@altlinux.ru> alt2
- added group lirc
- configure with --localstatedir=/var
- startup script fix

* Wed Jan 09 2002 Kachalov Anton <mouse@altlinux.ru> alt1
- build for Sisyphus
